declare const _default: {
    isNumber: (val: any) => boolean;
    isOptionalNumber: (val: any) => boolean;
    isOptionalGteZeroNumber: (val: any) => boolean;
    isOptionalGtZeroNumber: (val: any) => boolean;
    isGteZeroNumber: (val: any) => boolean;
    isGtZeroNumber: (val: any) => boolean;
    isString: (val: any) => boolean;
    isOptionalString: (val: any) => boolean;
    isOptionalNotTrimEmptyString: (val: any) => boolean;
    isNotEmtpyString: (val: any) => boolean;
    isNotTrimEmptyString: (val: any) => boolean;
    isOptionalBooleanString: (val: any) => boolean;
    isBooleanString: (val: any) => boolean;
    isOptionalNumberString: (val: any) => boolean;
    isNumberString: (val: any) => boolean;
    isOptionalGtNumberString: (val: any) => boolean;
    isOptionalGteNumberString: (val: any) => boolean;
    isBoolean: (val: any) => boolean;
    isOptionalBoolean: (val: any) => boolean;
    isObject: (val: any) => boolean;
    isOptionalObject: (val: any) => boolean;
    isOptionalNotEmptyObject: (val: any) => boolean;
    isNotEmptyObject: (val: any) => boolean;
    isArray: (val: any) => boolean;
    isOptionalArray: (val: any) => boolean;
    isNotEmptyArray: (val: any) => boolean;
    isNotTrimEmptyStringNotEmptyArray: (val: any) => boolean;
    isOptionalNotTrimEmptyStringNotEmptyArray: (val: any) => boolean;
    isOptionalNotEmptyObjectNotEmptyArray: (val: any) => boolean;
    isOptionalNotTrimEmptyStringArray: (val: any) => boolean;
    isNotEmptyNumberArray: (val: any) => boolean;
    isOptionalNumberArray: (val: any) => boolean;
    /**
     * 올바른 STATUS 인지 체크(Enable, Disable 만 체크). STATUS 는 number 타입의 값
     * @param val 체크할 값
     */
    isStatus: (val: any) => boolean;
    /**
     * undefined 인지(값이 없는지), 값이 있으면 올바른 STATUS 인지 체크(Enable, Disable 만 체크). STATUS 는 number 타입의 값
     * @param val 체크할 값
     */
    isOptionalStatus: (val: any) => boolean;
    /**
     * 올바른 STATUS 인지 체크(Enable, Pause, Disable 체크). STATUS 는 number 타입의 값
     * @param val 체크할 값
     */
    isFullStatus: (val: any) => boolean;
    /**
     * undefined 인지(값이 없는지), 값이 있으면 올바른 STATUS 인지 체크(Enable, Pause, Disable 체크). STATUS 는 number 타입의 값
     * @param val 체크할 값
     */
    isOptionalFullStatus: (val: any) => boolean;
    /**
     * 올바른 ROLE 값 인지 체크 한다. ROLE 은 number 타입의 값
     * @param val 체크할 값
     */
    isRole: (val: any) => boolean;
    /**
     * undefined 인지(값이 없는지), 값이 있으면 올바른 ROLE 값 인지 체크. ROLE 은 number 타입의 값
     * @param val 체크할 값
     */
    isOptionalRole: (val: any) => boolean;
    /**
     * 올바른 TERMINAL 값 인지 체크. TERMINAL 은 number 타입의 값
     * @param val 체크할 값
     */
    isTerminal: (val: any) => boolean;
    /**
     * undefined 인지(값이 없는지), 값이 있으면 올바른 TERMINAL 값 인지 체크. TERMINAL 은 number 타입의 값
     * @param val 체크할 값
     */
    isOptionalTerminal: (val: any) => boolean;
    /**
     * 올바른 성별 값 인지 체크. 성별은 number 타입의 값
     * @param val 체크할 값
     */
    isGender: (val: any) => boolean;
    /**
     * undefined 인지(값이 없는지), 값이 있으면 올바른 성별 값 인지 체크. 성별은 number 타입의 값
     * @param val 체크할 값
     */
    isOptionalGender: (val: any) => boolean;
    /**
     * 올바른 yyyymm 형태의 문자열 인지 체크 한다.
     * @param val 체크할 값
     */
    isYYYYMM: (val: any) => boolean;
    /**
     * undefined 인지(값이 없는지), 값이 있으면 올바른 yyyymm 형태의 문자열 인지 체크 한다.
     * @param val 체크할 값
     */
    isOptionalYYYYMM: (val: any) => boolean;
    /**
     * 올바른 yyyymmdd 형태의 문자열 인지 체크 한다.
     * @param val 체크할 값
     */
    isYYYYMMDD: (val: any) => boolean;
    /**
     * undefined 인지(값이 없는지), 값이 있으면 올바른 yyyymmdd 형태의 문자열 인지 체크 한다.
     * @param val 체크할 값
     */
    isOptionalYYYYMMDD: (val: any) => boolean;
    /**
     * 올바른 이메일 주소 형태의 문자열 인지 체크 한다.
     * @param val 체크할 값
     */
    isEmailAddress: (val: any) => boolean;
    /**
     * undefined 인지(값이 없는지), 값이 있으면 올바른 이메일 주소 형태의 문자열 인지 체크 한다.
     * @param val 체크할 값
     */
    isOptionalEmailAddress: (val: any) => boolean;
    /**
     * 올바른 URL 형태의 문자열 인지 체크 한다.
     * @param val 체크할 값
     */
    isURL: (val: any) => boolean;
    /**
     * undefined 인지(값이 없는지), 값이 있으면 올바른 URL 형태의 문자열 인지 체크 한다.
     * @param val 체크할 값
     */
    isOptionalURL: (val: any) => boolean;
    /**
     * 올바른 타임존 값 인지 체크 한다. 타임존 값은 'Asia/Seoul', 'Europe/London' 형태의 값 임.
     * @param val 체크할 값
     */
    isTimeZone: (val: any) => boolean;
    /**
     * undefined 인지(값이 없는지), 값이 있으면 올바른 타임존 값 인지 체크 한다. 타임존 값은 'Asia/Seoul', 'Europe/London' 형태의 값 임.
     * @param val 체크할 값
     */
    isOptionalTimeZone: (val: any) => boolean;
    /**
     * 올바른 국가 코드 값 인지 체크 한다. 국가 코드는 'kr', 'KR' 형태의 값 임
     * @param val 체크할 값
     */
    isCountryCode: (val: any) => boolean;
    /**
     * undefined 인지(값이 없는지), 값이 있으면 올바른 국가 코드 값 인지 체크 한다. 국가 코드는 'kr', 'KR' 형태의 값 임
     * @param val 체크할 값
     */
    isOptionalCountryCode: (val: any) => boolean;
    /**
     * list 를 response 하는 rest api 에서 sort 를 검색하는 validator.
     * @param val CkType.IExpressValidatorListOrder 타입의 값.
     */
    isListOrder: (val: any) => boolean;
    /**
     * list 를 response 하는 rest api 에서 sort 를 검색하는 validator.
     * optional 체크 이기 때문에, 값이 없거나 사용 했다면 정상 포맷으로 사용 되어야 한다.
     * @param val CkType.IExpressValidatorListOrder 타입의 값.
     */
    isOptionalListOrder: (val: any) => boolean;
    /**
     * 올바른 MOSQUITTO_ACL_AUTH 값 인지 체크. MOSQUITTO_ACL_AUTH 은 number 타입의 값
     * @param val 체크할 값
     */
    isMosquittoAclAuth: (val: any) => boolean;
    /**
     * undefined 인지(값이 없는지), 값이 있으면 올바른 MOSQUITTO_ACL_AUTH 값 인지 체크. MOSQUITTO_ACL_AUTH 은 number 타입의 값
     * @param val 체크할 값
     */
    isOptionalMosquittoAclAuth: (val: any) => boolean;
    /**
     * 올바른 템플릿 구조 값인지 체크
     * @param val 체크 할 값
     */
    isTemplateStruct: (val: any) => boolean;
    /**
     * undefined 인지(값이 없는지), 값이 있으면 올바른 템플릿 구조 값인지 체크
     * @param val 체크할 값
     */
    isOptionalTemplateStruct: (val: any) => boolean;
};
export default _default;
